import Vue from 'vue'
import VueRouter, { RouteConfig } from 'vue-router'
const Editer = () => import('../views/editer.vue')
Vue.use(VueRouter)

  const routes: Array<RouteConfig> = [
  {
    path: '/editer',
    name: 'Editer',
    component: Editer
  },
  // {
    // path: '/about',
    // name: 'About',
    // // route level code-splitting
    // // this generates a separate chunk (about.[hash].js) for this route
    // // which is lazy-loaded when the route is visited.
    // component: () => import(/* webpackChunkName: "about" */ '../views/About.vue')
  // }
]

const router = new VueRouter({
  mode: 'history',
  routes
})

export default router
